Get bill

GET

GET https://external-api.lia.com.br/external_api/v1/bills/:id

Example request

curl --location 'https://external-api-sandbox.lia.com.br/external_api/v1/bills/bdeebdb0-851e-5983-a63e-7b2668f12f50' \
--header 'Authorization: Bearer token'

Example response

{
  "amount_cents": 3591,
  "authentication_code": "00000000000000000000000000000001",
  "bill_type": "down_payment",
  "billing": {
    "amount_cents": 31807,
    "amount_currency": "BRL",
    "cancelation_reason": null,
    "created_at": "2023-09-05T18:33:30.770-03:00",
    "due_day": 20,
    "finished_at": null,
    "id": "a7e42b56-fdad-5470-99aa-5ffc865590a4",
    "installments": 3,
    "order_id": "ec92bc06-ea9c-597e-be99-45e300280d24",
    "origin_billing_id": null,
    "status": "active",
    "updated_at": "2024-07-19T17:00:25.389-03:00"
  },
  "checkout_url": "https://pague-sandbox.lia.com.br/parcela/pagamento?bill_id=eed44d22-5cf7-5487-b1c9-2d638a824999",
  "created_at": "2023-09-05T18:33:30.782-03:00",
  "current_amount_cents": 3591,
  "disable_penalties_until": null,
  "due_date": "2023-09-07T23:59:59.999-03:00",
  "effective_due_date": "2023-09-08T23:59:59.999-03:00",
  "id": "eed44d22-5cf7-5487-b1c9-2d638a824999",
  "original_amount_cents": 3591,
  "paid_at": "2023-09-05T18:33:31.706-03:00",
  "payments": [
    {
      "amount_cents": 3591,
      "barcode": null,
      "barcode_image_url": null,
      "bill_id": "eed44d22-5cf7-5487-b1c9-2d638a824999",
      "created_at": "2023-09-05T18:33:31.626-03:00",
      "expires_at": "2023-09-07T23:59:59.999-03:00",
      "id": "b0ef4a82-1b4b-58dd-91f9-d29ae1d7f469",
      "installments": 1,
      "paid_amount_cents": 3591,
      "paid_at": "2023-09-05T18:33:31.637-03:00",
      "payment_method": "credit_card",
      "refunded_amount_cents": 0,
      "refunded_at": null,
      "refused_reason": null,
      "refused_reason_description": null,
      "status": "paid",
      "url": "https://pague-sandbox.lia.com.br/parcela/pagamento?bill_id=eed44d22-5cf7-5487-b1c9-2d638a824999"
    }
  ],
  "bill_details": [
    {
      "id": "54337ef6-b3a1-5535-b917-0e0bc319b1c1",
      "detail_type": "amortization",
      "amount_cents": 3000,
      "installment": 1,
      "created_at": "2023-09-05T18:33:30.782-03:00"
    },
    {
      "id": "1bf3fbd4-4a33-56e2-8e4e-49fc6db4f148",
      "detail_type": "financing_interest",
      "amount_cents": 591,
      "installment": 1,
      "created_at": "2023-09-05T18:33:30.782-03:00"
    }
  ],
  "metadata": {},
  "status": "paid",
  "updated_at": "2023-09-05T18:33:31.736-03:00"
}

Bill Details

The bill_details array contains the breakdown of the bill amount. Each detail has a detail_type that indicates what kind of charge or adjustment it represents.

Detail Types

ValueDescription
amortizationThe principal amount being paid in this installment
financing_interestInterest charged for financing the purchase
down_payment_financing_interestInterest charged for financing the down payment
registration_feeRegistration fee charged for the transaction
late_payment_interestInterest charged due to late payment
late_payment_fineFine charged due to late payment
financing_interest_removalRemoval/discount of financing interest
manual_adjustmentManual adjustment made to the bill